C Prints and write the signature and formatting
C This file is part of aITALC
C Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
C-----------------------------------------------------------------------
      subroutine SIGNATURE(unitnumber,comment,iwhat,llongoutput)
      implicit none

      integer unitnumber,iwhat
      character comment
      logical llongoutput
      character*22 longeq,longmi
      character*14 shoreq,shormi
      character*60 vauthor
      character*14 asqrt
      character*11 acost,alimcost
      character*21 aldcsb,aldcsl,aldcss,aldcsc,aldcs2
      character*13 asdcsb,asdcsl,asdcss,asdcsc,asdcs2
      character*21 alicsb,alicsl,alicss,alicsc,alics2
      character*13 asicsb,asicsl,asicss,asicsc,asics2
      character*21 alfbab,alfbal,alfbas,alfbac,alfba2
      character*13 asfbab,asfbal,asfbas,asfbac,asfba2
C-----------------------------------------------------------------------
      longeq='======================'
      shoreq='=============='
      longmi='----------------------'
      shormi='--------------'
      vauthor=' aITALC Version 1.1 (07.12.2004) by A.Lorca -- T.Riemann'

      asqrt ='sqrtsman      '
      acost ='cost      '
      alimcost ='limcost   '

      aldcsb='dcs(Born)            '
      aldcsl='dcs(loop)            '
      aldcss='dcs(soft)            ' 
      aldcsc='dcs(Born+loop+soft)  '
      aldcs2='dcs(loop^2)          '

      asdcsb='dcs(Born)    '
      asdcsl='dcs(loop)    '
      asdcss='dcs(soft)    '
      asdcsc='dcs(B+l+s)   '
      asdcs2='dcs(loop^2)  '

      alicsb='ics(Born)            '
      alicsl='ics(loop)            '
      alicss='ics(soft)            ' 
      alicsc='ics(Born+loop+soft)  '
      alics2='ics(loop^2)          '

      asicsb='ics(Born)    '
      asicsl='ics(loop)    '
      asicss='ics(soft)    '
      asicsc='ics(B+l+s)   '
      asics2='ics(loop^2)  '

      alfbab='fba(Born)            '
      alfbal='fba(loop)            '
      alfbas='fba(soft)            ' 
      alfbac='fba(Born+loop+soft)  '
      alfba2='fba(loop^2)          '

      asfbab='fba(Born)    '
      asfbal='fba(loop)    '
      asfbas='fba(soft)    '
      asfbac='fba(B+l+s)   '
      asfba2='fba(loop^2)  '
C-----------------------------------------------------------------------
C Depending on the flag iwhat, we print header 0, dcs 1, ics 2 or fbcs 3
C Number 10 final line

      if (iwhat.EQ.0) then
        if (llongoutput) then
          write (unitnumber,101),comment
     &         ,shoreq,shoreq,longeq,longeq,longeq,longeq,longeq
          print 101,' '
     &         ,shoreq,shoreq,longeq,longeq,longeq,longeq,longeq
        else
          write (unitnumber,111),comment
     &         ,shoreq,shoreq,shoreq,shoreq,shoreq,shoreq,shoreq
          print 111,' '
     &         ,shoreq,shoreq,shoreq,shoreq,shoreq,shoreq,shoreq
        endif
        write (unitnumber,110),comment,vauthor
        print 110,' ',vauthor
        if (llongoutput) then
          print 101,' '
     &         ,shoreq,shoreq,longeq,longeq,longeq,longeq,longeq
        else
          print 111,' '
     &         ,shoreq,shoreq,shoreq,shoreq,shoreq,shoreq,shoreq
        endif

      elseif (iwhat.EQ.1) then
c      write (unitnumber,fmt="(A1,1X,A7,1X)"),comment,
c     &"SQRT(s)="
        if (llongoutput) then
          write (unitnumber,101),comment
     &         ,shormi,shormi,longmi,longmi,longmi,longmi,longmi
          write (unitnumber,102),comment
     &         ,asqrt,acost,aldcsb,aldcsl,aldcss,aldcsc,aldcs2
        print 101,' '
     &         ,shormi,shormi,longmi,longmi,longmi,longmi,longmi
        print 102,' '
     &         ,asqrt,acost,aldcsb,aldcsl,aldcss,aldcsc,aldcs2
        else
          write (unitnumber,111),comment
     &         ,shormi,shormi,shormi,shormi,shormi,shormi,shormi
        write (unitnumber,112),comment
     &         ,asqrt,acost,asdcsb,asdcsl,asdcss,asdcsc,asdcs2
        print 111,' '
     &         ,shormi,shormi,shormi,shormi,shormi,shormi,shormi
        print 112,' '
     &         ,asqrt,acost,asdcsb,asdcsl,asdcss,asdcsc,asdcs2
        endif


      elseif (iwhat.EQ.2) then
        write (unitnumber,104),comment
     &       ,asqrt,alimcost,alicsb,alicsl,alicss,alicsc,alics2
     &       ,'ERR'
     &       ,'(Born)  '
     &       ,'(loop)  '
     &       ,'(soft)  '
     &       ,'(B+corr)'
     &       ,'(loop^2)'
        print 104,' '
     &       ,asqrt,alimcost,alicsb,alicsl,alicss,alicsc,alics2
     &       ,'ERR'
     &       ,'(Born)  '
     &       ,'(loop)  '
     &       ,'(soft)  '
     &       ,'(B+corr)'
     &       ,'(loop^2)'
      elseif (iwhat.EQ.3) then
        write (unitnumber,104),comment
     &       ,asqrt,alimcost,asfbab,asfbal,asfbas,asfbac,asfba2
     &       ,'ERR'
     &       ,'(Born)  '
     &       ,'(loop)  '
     &       ,'(soft)  '
     &       ,'(B+corr)'
     &       ,'(loop^2)'
        print 104,' '
     &       ,asqrt,alimcost,asfbab,asfbal,asfbas,asfbac,asfba2
     &       ,'ERR'
     &       ,'(Born)  '
     &       ,'(loop)  '
     &       ,'(soft)  '
     &       ,'(B+corr)'
     &       ,'(loop^2)'
      elseif (iwhat.eq.10) then
C The end of file
        if (llongoutput) then
          write (unitnumber,101),comment
     &         ,shoreq,shoreq,longeq,longeq,longeq,longeq,longeq
          print 101,' '
     &         ,shoreq,shoreq,longeq,longeq,longeq,longeq,longeq
        else
          write (unitnumber,111),comment
     &         ,shoreq,shoreq,shoreq,shoreq,shoreq,shoreq,shoreq
          print 111,' '
     &         ,shoreq,shoreq,shoreq,shoreq,shoreq,shoreq,shoreq
        endif
      endif
C-----------------------------------------------------------------------
 101  format (A1,A14,A9,5(A22))
 102  format (A1,A13,1X,A9,5(1X,A21))
 103  format (A8)
 104  format (A1,A13,1X,A9,5(1X,A13),A3,5(1X,A8))
 110  format (A1,A59)
 111  format (A1,A14,A9,5(A14))
 112  format (A1,A13,1X,A9,5(1X,A13))
c 114  format (A1,A13,1X,A10,5(1X,A13),A3,5(1X,A8))
C-----------------------------------------------------------------------
        return
        end
C $Id: signature.f,v 1.16 2004/12/07 20:11:15 alorca Exp $
